classification
Title: idna/punycode give wrong results on narrow builds
Type: Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: bukzor, jleedev, lemburg, ncoghlan, vstinner
Priority: normal Keywords:

Created on 2014-09-21 22:09 by bukzor, last changed 2020-12-01 10:53 by iritkatriel. This issue is now closed.

Messages (2)
msg227240 - (view) Author: Buck Evan (bukzor) * Date: 2014-09-21 22:09
I have "fixed" the issue in my branch here:
https://github.com/bukzor/cpython/commit/013e689731ba32319f05a62a602f01dd7d7f2e83

I don't propose it as a patch, but as a proof of concept and point of discussion.

If there's no chance of shipping a fix in 2.7.9, feel free to close.
msg237470 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-07 19:20
As 2.7 is to be supported until 2020 and a potential fix is available shouldn't we be using it?
History
Date User Action Args
2020-12-01 10:53:20iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2016-06-24 15:33:11BreamoreBoysetnosy: - BreamoreBoy
2016-06-24 14:29:36jleedevsetnosy: + jleedev
2015-03-07 19:20:47BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237470
2014-09-23 18:00:40pitrousetnosy: + vstinner
2014-09-22 00:36:37ned.deilysetnosy: + lemburg, ncoghlan
2014-09-21 22:09:35bukzorcreate